osgAnimation::Keyframe Class Reference

`#include <Keyframe>`

Inheritance diagram for osgAnimation::Keyframe:

## Public Member Functions

double | getTime () const
void | setTime (double time)

## Protected Attributes

double | _time

## Member Function Documentation

## getTime()

double osgAnimation::Keyframe::getTime | ( |  | ) | const

inline

References _time.

Referenced by osgAnimation::TemplateInterpolatorBase< TYPE, KEY >::getKeyIndexFromTime().

## setTime()

void osgAnimation::Keyframe::setTime | ( | double | time | ) |

inline

References _time.

## Member Data Documentation

## _time

double osgAnimation::Keyframe::_time

protected

Referenced by getTime(), setTime(), and osgAnimation::TemplateKeyframe< Vec3Packed >::TemplateKeyframe().

The documentation for this class was generated from the following file:

- Keyframe